post
https://secure.fusebill.com/v1/paymentActivities/Resolve
This request can be used to resolve an unknown payment. An unknown payment can occur when a request has been sent to a payment gateway but no response has come from that gateway. This means the Fusebill system has no confirmation for the payment, and thus does not have the information needed to determine whether it should reattempt payment.
One of the required fields, paymentStatus, is used to inform Fusebill as to the state of the payment:
- A "Failed" result triggers a retry of the payment.
- "Successful" simply marks the payment as "Successful". For that, you would need to provide an authorization code and a secondary transaction number to create the transaction in Fusebill.
POST https://secure.fusebill.com/v1/paymentActivities/Resolve
Authorization: Basic {{apikey}}
Content-Type: application/json
{
"paymentStatus" : "Failed",
"paymentId" : 5618443
}
//resolves payment activity 5618443 by indicating the transaction failed.
//Fusebill will automatically retryPOST https://secure.fusebill.com/v1/paymentActivities/Resolve
Authorization: Basic {{apikey}}
Content-Type: application/json
{
"paymentStatus" : "Successful",
"paymentId" : 5618443,
"authorizationCode":"d83af28a-4ff2-25fd-125a-157a555a1234",
"secondaryTransactionNumber": "181de61-18aa-48f0-3ede-143a5ff51234"
}
//resolves payment activity 5618443 by indicating the transaction succeeded.
//Fusebill will not automatically retry